
QGIS Application - Bug report #1664

fTools geoprocessing changes field format

2009-04-29 01:09 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11724

Description

Tried Clipping with fTools, everything is fine, but fields of the output are changed to different length and number of decimals. This is

small, but I guess it should better be kept as in source.

Associated revisions

Revision 829f0744 - 2009-07-30 11:16 PM - Jürgen Fischer

fix #1664 and #1681

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11218 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 16b91c6b - 2009-07-30 11:16 PM - Jürgen Fischer

fix #1664 and #1681

git-svn-id: http://svn.osgeo.org/qgis/trunk@11218 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-05-06 02:05 PM - Borys Jurgiel

It's related to the [[QgsShapefileWriter]] issues. See #1681.

#2 - 2009-05-06 02:09 PM - Borys Jurgiel

Sorry, of course I mean [[QgsVectorFileWriter]]

#3 - 2009-07-11 06:42 AM - Giovanni Manghi

I cannot replicate this, qith qgis 1.2 from trunk and the latest version of ftools. Tested both shapefiles and postgis layers.

Can you give a try with the latest version of the plugin and/or post the sample data that gave you problems?

#4 - 2009-07-11 08:49 AM - Maxim Dubinin
Still no luck. Tried clipping attached points with polygon. Note properties before and after. QGIS 1.2-trunk.

#5 - 2009-07-11 08:52 AM - Maxim Dubinin

attachements and screenshots of field structure, before and after

http://gis-lab.info/other/ftools-clipping-bug.zip

http://gis-lab.info/images/screenshots/20090711-n20-54kb.jpg

http://gis-lab.info/images/screenshots/20090711-1l6-54kb.jpg

#6 - 2009-07-13 06:30 AM - Giovanni Manghi

Replying to [comment:6 gislab]:

Still no luck. Tried clipping attached points with polygon. Note properties before and after. QGIS 1.2-trunk.

Ok, now I see and I confirm. Probably my first test was made with layers that had already this 32/3 values for lenght/precision.

#7 - 2009-07-30 02:17 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:16b91c6b (SVN r11219)
